Bug 1056460 - Review Request: ssdeep - Compute context triggered piecewise hashes
Summary: Review Request: ssdeep - Compute context triggered piecewise hashes
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ralf Corsepius
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-22 09:23 UTC by Remi Collet
Modified: 2014-02-11 19:14 UTC (History)
3 users (show)

Fixed In Version: ssdeep-2.10-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-27 13:08:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rc040203: fedora-review+
limburgher: fedora-cvs+


Attachments (Terms of Use)

Description Remi Collet 2014-01-22 09:23:02 UTC
Spec URL: https://raw2.github.com/remicollet/remirepo/d0c5fe8be01e475c25c86eb0130d298fc9217618/ssdeep/ssdeep.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/ssdeep-2.10-1.remi.src.rpm
Description: 
ssdeep is a program for computing context triggered piecewise hashes (CTPH).
Also called fuzzy hashes, CTPH can match inputs that have homologies.
Such inputs have sequences of identical bytes in the same order, although bytes
in between these sequences may be different in both content and length.

Fedora Account System Username: remi

Targets: Fedora and EPEL >= 5
Copr test builds in http://copr.fedoraproject.org/coprs/remi/morephp/monitor/

Comment 1 Ralf Corsepius 2014-01-22 10:26:05 UTC
There is one minor issue with this package:

The configure script peeks into the runtime system's file system and appends some directories to CPPFLAGS and LDFLAGS if it finds them.
In a mock environment, this causes -I/usr/local/include and -L/usr/local/lib to be appended to GCC calls.

There are many ways to fix and/or work-around this issue, e.g.:
1) A clean way would be to comment out the section (grep for "for spfx") in configure and configure.ac and patch these files.
(apply "touch configure configure.ac -r aclocal.m4" after %patch 
to avoid the autotools being re-run)

2) A less clean way would be to sed out -I/usr/local/include and -L/usr/local/lib from Makefile after having run %configure.

I'd go for 1)

Comment 3 Remi Collet 2014-01-22 10:52:32 UTC
Notice: this library is GPLv2+ but also "Perl Artistic License" (for inclusion
into the PECL).
http://news.php.net/php.pecl.dev/7625

I don't think this exception have to be noticed in this package but rather in the pecl/ssdeep extension one.

Comment 4 Ralf Corsepius 2014-01-22 15:05:57 UTC
Taking for review

Comment 5 Ralf Corsepius 2014-01-22 15:28:16 UTC
APPROVED.

2 comments:
- By removing the offending lines from configure in your *build-patch, you are destroying configure's line numbering. If you'd comment them out instead, line numbers would remain intact (which is useful in case of problems).

- I dislike package which install headers with fairly generic names (fuzzy.h) directly into /usr/include, but this is just my personal preference.

Comment 6 Remi Collet 2014-01-22 15:33:14 UTC
Thanks for the review !

(In reply to Ralf Corsepius from comment #5)

> - I dislike package which install headers with fairly generic names
> (fuzzy.h) directly into /usr/include, but this is just my personal
> preference.

Me too... but without any .pc file it will make uneasy for "consumer" to use this library... choice is not always trivial...



New Package SCM Request
=======================
Package Name: ssdeep
Short Description: Compute context triggered piecewise hashes
Owners: remi
Branches: f20 el5 el6 epel7
InitialCC:

Comment 7 Gwyn Ciesla 2014-01-22 16:02:51 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-01-22 16:38:27 UTC
ssdeep-2.10-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/ssdeep-2.10-2.el5

Comment 9 Fedora Update System 2014-01-22 16:38:37 UTC
ssdeep-2.10-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ssdeep-2.10-2.fc20

Comment 10 Fedora Update System 2014-01-22 16:38:46 UTC
ssdeep-2.10-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ssdeep-2.10-2.el6

Comment 11 Fedora Update System 2014-01-22 21:21:13 UTC
ssdeep-2.10-2.el5 has been pushed to the Fedora EPEL 5 testing repository.

Comment 12 Fedora Update System 2014-01-22 21:21:21 UTC
ssdeep-2.10-2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 13 Michal Ambroz 2014-01-27 00:02:05 UTC
works for me - thank you.
Tested even the header files with (pip install pydeep) and it is indeed what's expected by other packages.
Best regards
Michal Ambroz

Comment 14 Fedora Update System 2014-01-27 13:08:38 UTC
ssdeep-2.10-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 15 Fedora Update System 2014-02-11 19:14:15 UTC
ssdeep-2.10-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 16 Fedora Update System 2014-02-11 19:14:39 UTC
ssdeep-2.10-2.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.